Bug 61831 - Frame flattening shouldn't be applied to iframes that have a zero size
Summary: Frame flattening shouldn't be applied to iframes that have a zero size
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Frames (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Carson
URL: http://www.bing.com/search?q=javascri...
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-05-31 17:58 PDT by David Carson
Modified: 2011-06-02 07:45 PDT (History)
5 users (show)

See Also:


Attachments
proposed patch and test case (5.45 KB, patch)
2011-05-31 21:37 PDT, David Carson
koivisto: review-
Details | Formatted Diff | Diff
Same code patch with updated platform independent test case (4.93 KB, patch)
2011-06-01 09:24 PDT, David Carson
koivisto: review+
Details | Formatted Diff | Diff
Same patch and test cases as before, but this time with a corrected LayoutTests/ChangeLog (4.91 KB, patch)
2011-06-01 10:34 PDT, David Carson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Carson 2011-05-31 17:58:56 PDT
If the author of the content specifically set the iframe size to zero, then the frame should not be resized.
eg:
<iframe src="/fd/fb/r?v=6_12_0_776292&amp;sId=0" height="0" width="0"></iframe>

This issue can be seen on the Bing site.
Comment 1 David Carson 2011-05-31 21:37:28 PDT
Created attachment 95545 [details]
proposed patch and test case
Comment 2 Antti Koivisto 2011-06-01 07:20:12 PDT
Comment on attachment 95545 [details]
proposed patch and test case

The test results should be platform independent (use layoutTestController.dumpAsText()).  r- for that.

The patch itself looks good. I'm pretty sure we were not flattening zero-sized frames in the past, wonder how that got lost?
Comment 3 David Carson 2011-06-01 07:38:52 PDT
The way the test stands today, it clearly shows that the iframe is not flattened as we dump the DOM sizes. Changing to layoutTestController.dumpAsText(), I'll need to use script to grab the element sizes and print them.
Comment 4 David Carson 2011-06-01 09:24:42 PDT
Created attachment 95612 [details]
Same code patch with updated platform independent test case
Comment 5 David Carson 2011-06-01 10:34:34 PDT
Created attachment 95621 [details]
Same patch and test cases as before, but this time with a corrected LayoutTests/ChangeLog
Comment 6 WebKit Commit Bot 2011-06-01 14:42:55 PDT
Comment on attachment 95621 [details]
Same patch and test cases as before, but this time with a corrected LayoutTests/ChangeLog

Clearing flags on attachment: 95621

Committed r87853: <http://trac.webkit.org/changeset/87853>
Comment 7 WebKit Commit Bot 2011-06-01 14:43:00 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Ademar Reis 2011-06-02 07:45:43 PDT
Revision r87853 cherry-picked into qtwebkit-2.2 with commit 695e84c <http://gitorious.org/webkit/qtwebkit/commit/695e84c>